import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/podcastProgram/list`,
    method: 'post',
    data
  })
}

// 新增 编辑
export function submit(data) {
  return request({
    url: `/admin/podcastProgram/addOrUpdate`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/podcastProgram/queryById/${id}`,
    method: 'get'
  })
}

// 上下架
export function change(id, status) {
  return request({
    url: `/admin/podcastProgram/hitOrSold/${id}/${status}`,
    method: 'get'
  })
}

// 删除
export function remove(id) {
  return request({
    url: `/admin/podcastProgram/remove/${id}`,
    method: 'delete'
  })
}
